<?php
error_reporting(0);
include "config.php";
$rubrika = htmlspecialchars(substr(trim($_POST['rubrika']), 0, 30));
$cat_id="cat".$rubrika.".db";
$all = "all_urls.db";
$all_urls = file($all);
define("GEST_DB", $cat_id); 
$error='do_form';
if (isset($_POST['name'])) {
  $descr = str_replace("\r\n", " ", htmlspecialchars(substr($_POST['descr'], 0, 255)));
  $email = htmlspecialchars(substr(trim($_POST['email']), 0, 100));
  $url = htmlspecialchars(substr(trim($_POST['url']), 0, 100));
  $name = htmlspecialchars(substr(trim($_POST['name']), 0, 128));
  $link_back = htmlspecialchars(substr(trim($_POST['link_back']), 0, 100));
  $error='no_error';
  $site_is = false;
	$st = $url."¤".$name."¤".$descr."¤".date("d-m-Y",time())."¤".$link_back."¤".$email;
	$stj = "document.write('<p><a href=\"".$url."\" target=\"_blank\">".$name."</a>&nbsp;&nbsp;<small>&nbsp;Добавлен: (".date("d-m-Y",time()).")</small><br>".$descr."<br><small>Раздел: <b>".$cat[$rubrika]."</b></small></p>');";
	for ($i=0;$i<count($all_urls);$i++) {
		if ($url == $all_urls[$i]) { $site_is = true; break; }
	}
	if (!$site_is) {
		save_note($all, $url);
		save_note(GEST_DB, $st);
	    $topic="Auto Link echange !";
	    $dest="$admin_email";
	    $message="\nEmail: ".$email."\n\nUrl: ".$url."\n\nBackUrl: ".$link_back."\n\nName: ".$name."\n\nDescription:   ".$descr;
	    $mail_me = mail($dest, $topic, $message);
	}
if (!$site_is) {
?>
<p>&nbsp;</p><p>&nbsp;</p><center><span style="FONT-SIZE:24px; FONT-FAMILY: 'Courier new',Verdana;"><b>Спасибо!<br>Ваш сайт внесен в базу !</b></span><p>&nbsp;</p><p>&nbsp;</p>
<center><a href="<?php echo $domain; ?>/index.php"><b>Назад в каталог</a>
<?php 
}
else { ?>
<p>&nbsp;</p><p>&nbsp;</p><center><span style="FONT-SIZE:24px; FONT-FAMILY: 'Courier new',Verdana;"><b>Ваш сайт уже внесен в базу!</b></span><p>&nbsp;</p><p>&nbsp;</p>
<center><a href="<?php echo $domain; ?>/index.php"><b>Назад в каталог</a>
<?php }
}
if ($error == 'do_form') print_form();?>
<?php
function print_form() {
 global $cat;
?>
<script language="JavaScript">
<!--
function ValidateInput() {
if (document.order.username.value.length == 0) {
alert("Имя владельца сайта не указано");
document.order.username.focus();
return false;
}
if (document.order.email.value.length == 0) {
alert("Email не указан");
document.order.email.focus();
return false;
}
if (document.order.name.value.length == 0) {
alert("Название сайта не указано");
document.order.name.focus();
return false;
}
if (document.order.descr.value.length > 255) {
alert("Описание сайта не должно быть более 255 символов");
document.order.descr.focus();
return false;
}
if (document.order.descr.value.length == 0) {
alert("Описание сайта не указано");
document.order.descr.focus();
return false;
}
if (document.order.url.value == "http://") {
alert("URL сайта не указан");
document.order.url.focus();
return false;
}
if (document.order.url.value == 0) {
alert("URL сайта не указан");
document.order.url.focus();
return false;
}
if (document.order.rubrika.value == "-1") {
alert("Выберите рубрику. Пример : Бизнес/Финансы");
document.order.rubrika.focus();
return false;
}
if (document.order.link_back.value == "http://") {
alert("Адрес страницы где находится ссылка на сайт не указан");
document.order.link_back.focus();
return false;
}
if (document.order.link_back.value == 0) {
alert("Адрес страницы где находится ссылка на сайт не указан");
document.order.link_back.focus();
return false;
}

return true;
}
//-->
</script>
<p>&nbsp;</p><h4 align=center>Как настроить систему обмена ссылками ?</h4>
<br><font color="#FF0000"><b>		Пожалуйста, внимательно прочтите данную инструкцию для успешной настройки системы. </b></font><br><br>
1. Требуется подготовить страницу <b>Ссылки</b> <br>
2. Создать страницу (например, links.php или links.html), состыковать их с навигацией сайта. <br>
3. Получить HTML код <br>
4. Установить предложенный системой код на вашей странице.<br><br>
Мой сервер поддерживает скрипты :<br>
            <form name="form1" action="get_code.php" target="blank">
              <select name="code" style="width:100px">
                <option value="php">PHP</option>
                <option value="js">JavaScript</option>
              </select>
              <input class=sb2 type="submit" value="Получить код">
            </form><br>
5. Загрузите подготовленную страницу на Ваш сервер<br>
6. После успешной настройки системы вы автоматически становитесь участником &nbsp;«Системы обмена ссылками»<br>
<br><center><font color="#FF0000" size=+2><b>Внимание !</font><font color="#FF0000"><br>Код должен быть установлен до отправки данных формы.<br>Если вы уберете код с предьявленной страницы, или страница<BR>будет не доступна в течении 24 часов, ваш сайт будет удален из нашей базы .<BR>Повторно зарегистрировать ваш ресурс вы не сможете.</font></center>
<p align="center">
<b><font color="#000000">Регистрация нового ресурса .</font></b></p>
<form name="order" method="post" onSubmit="return ValidateInput()" id="FORM">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr> 
      <td width="50%" align="right">Имя владельца сайта <font color="#FF0000">*</font> 
        :</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <input class=sb type="text" name="username" maxlength="255" size="30">
      </td>
    </tr>
    <tr> 
      <td width="50%" align="right">Email владельца сайта <font color="#FF0000">*</font> :</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <input class=sb type="text" name="email" maxlength="255" size="30">
      </td>
    </tr>
    <tr> 
      <td width="50%" align="right">Название сайта <font color="#FF0000">*</font> 
        :</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <input class=sb type="text" name="name" maxlength="255" size="30">
      </td>
    </tr>
    <tr> 
      <td width="50%" align="right">Описание <font color="#FF0000">*</font> :</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <textarea name="descr" cols="26" rows="3"></textarea>
      </td>
    </tr>
    <tr> 
      <td width="50%" align="right">URL <font color="#FF0000">*</font> :</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <input class=sb type="text" name="url" maxlength="255" size="30" value="http://">
      </td>
    </tr>
    <tr> 
      <td width="50%" align="right">Рубрика <font color="#FF0000">*</font> :</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <select name="rubrika">
          <option value="-1">Выберите категорию</option>
          <option value="1">Бизнес/Финансы</option>
          <option value="2">Государство/Право</option>
          <option value="3">Информация/Справки</option>
          <option value="4">Компьютеры/Интернет</option>
          <option value="5">Культура/Искусство</option>
          <option value="6">Медицина/Здоровье</option>
          <option value="7">Наука/Образование</option>
          <option value="8">Новости/СМИ</option>
          <option value="9">Отдых/Развлечения</option>
          <option value="10">Страны/Города</option>
          <option value="11">Товары/Услуги</option>
          <option value="12">Прочее</option>
        </select>
      </td>
    </tr>
	<tr> 
      <td width="50%" align="right" valign="top">Адрес страницы где расположен код
        <font color="#FF0000">*</font> :</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <input class=sb type="text" name="link_back" maxlength="255" size="30" value="http://">
      </td>
    </tr>
    <tr> 
      <td width="50%" align="right" valign="top">&nbsp;</td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom">&nbsp;</td>
    </tr>
    <tr> 
      <td width="50%" align="right">(<font color="#FF0000">*</font> - обязательные 
        поля) </td>
      <td width="10">&nbsp;</td>
      <td width="50%" valign="bottom"> 
        <input style="width:205px" class=sb2 type="submit" name="Submit" value="Зарегистрировать сайт">
      </td>
    </tr>
  </table>
</form>
<?php 
} 
function save_note($DB, $data_str) {
	$result = false;
	if (!file_exists($DB)) {
		$fopt = fopen($DB, 'w');
		chmod($DB, 0733);
		if ($fopt) {
			$result = fwrite($fopt, $data_str);
			fclose($fopt);
		}
	}
	else {
		$notes = file($DB);
		for ($i=0; $i<count($notes); $i++) $notes[$i] = trim($notes[$i])."\n";
		$notes[] = $data_str;
		$fopt = fopen($DB, 'w');
		if ($fopt) {
			$result = fwrite($fopt, implode("", $notes));
			fclose($fopt);
		}
	}
	return $result;
}
?>
